﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style type="text/css">
		.RadUpload input.ruFakeInput
		{
			display: none;
		}
		.RadUpload input.ruBrowse
		{
			width: 115px;
		}
		.RadUpload span.ruFileWrap input.ruButtonHover
		{
			background-position: 100% -46px;
		}
		.RadUpload input.ruButton
		{
			background-position: 0 -46px;
		}
		
		.invalid
		{
			color: Red;
		}
		
		.binary-image
		{
			margin-bottom: 5px;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="ScriptManager1" runat="server" />
	<telerik:RadSkinManager runat="server" Skin="Office2010Silver">
	</telerik:RadSkinManager>
	<script type="text/javascript">
		function fileUploaded(sender, args)
		{

			$find("RadAjaxPanel1").ajaxRequest();

			$telerik.$(".invalid").html("");
			setTimeout(function ()
			{
				sender.deleteFileInputAt(0);
			}, 10);
		}

		function validationFailed(sender, args)
		{
			$telerik.$(".invalid")
                .html("Invalid extension, please choose an image file");
			sender.deleteFileInputAt(0);
		}

		function ImageEditorLoad(imgEditor, args)
		{
			//open the Crop tool dialog with a little timeout
			setTimeout(function ()
			{
				imgEditor.fire("Crop");
			}, 0);
		}
	</script>
	<telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server">
		<div class="upload-panel">
			<asp:Panel ID="ShowImagePanel" runat="server" Visible="true">
				<telerik:RadBinaryImage runat="server" Width="200px" Height="150px" ResizeMode="Fit" ID="Thumbnail" ImageUrl="blank.png"
					AlternateText="Thumbnail" CssClass="binary-image" CropPosition="Center" />
				<span class="invalid"></span>
			</asp:Panel>
			<asp:Panel ID="EditImagePanel" runat="server" Visible="false">
				<telerik:RadImageEditor ID="RadImageEditor1" runat="server" OnImageLoading="RadImageEditor1_ImageLoading"
					OnImageSaving="RadImageEditor1_ImageSaving" ExternalDialogsPath="~/ImageEditorDialogs/" Width="720px"
					Height="430px" OnClientLoad="ImageEditorLoad">
					<Tools>
						<telerik:ImageEditorToolGroup>
							<telerik:ImageEditorTool CommandName="Undo" />
							<telerik:ImageEditorTool CommandName="Redo" />
							<telerik:ImageEditorToolSeparator />
							<telerik:ImageEditorTool CommandName="Crop" IsToggleButton="true" />
							<telerik:ImageEditorTool CommandName="Zoom" IsToggleButton="true" />
						</telerik:ImageEditorToolGroup>
					</Tools>
				</telerik:RadImageEditor>
				<br />
				<telerik:RadButton ID="RadButton1" runat="server" Text="Save Changes" OnClick="RadButton1_Click">
					<Icon PrimaryIconCssClass="rbSave" />
				</telerik:RadButton>
				<br />
				<br />
			</asp:Panel>
			<telerik:RadAsyncUpload runat="server" ID="AsyncUpload1" MaxFileInputsCount="1" OnClientFileUploaded="fileUploaded"
				OnFileUploaded="AsyncUpload1_FileUploaded" AllowedFileExtensions="jpeg,jpg,gif,png,bmp" OnClientValidationFailed="validationFailed">
				<Localization Select="Choose Avatar" />
			</telerik:RadAsyncUpload>
		</div>
	</telerik:RadAjaxPanel>
	</form>
</body>
</html>
